| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Well::MarkerRange Class Reference
Well

Range of markers (typically describing zone of interest) More...

`#include <wellmarker.h>`

Inheritance diagram for Well::MarkerRange:
[legend]

## Public Member Functions
| MarkerRange (const MarkerSet &, const char *, const char *)
| MarkerRange (const MarkerSet &, const Interval< int > &idxrg=Interval< int >(-1,-1))
virtual | ~MarkerRange ()
void | getNames (BufferStringSet &) const
MarkerSet * | getResultSet () const
| returns new set
Interval< int > & | idxRange ()
const Interval< int > & | idxRange () const
bool | isIncluded (const char *) const
bool | isIncluded (float z) const
bool | isIncluded (int i) const
bool | isValid () const
const MarkerSet & | markers () const
int | size () const
float | thickness () const

## Protected Member Functions
void | init (const Interval< int > &)

## Protected Attributes
bool | isconst_
const MarkerSet & | markers_
Interval< int > | rg_

## Detailed Description

Range of markers (typically describing zone of interest)

<>

## Constructor & Destructor Documentation

## ◆ MarkerRange() [1/2]

Well::MarkerRange::MarkerRange | ( | const MarkerSet & | ,
|  | const Interval< int > & | idxrg = Interval< int >(-1,-1) )

## ◆ MarkerRange() [2/2]

Well::MarkerRange::MarkerRange | ( | const MarkerSet & | ,
|  | const char * | ,
|  | const char * | )

## ◆ ~MarkerRange()

virtual Well::MarkerRange::~MarkerRange | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getNames()

void Well::MarkerRange::getNames | ( | BufferStringSet & |  | ) | const

## ◆ getResultSet()

MarkerSet * Well::MarkerRange::getResultSet | ( |  | ) | const

returns new set

## ◆ idxRange() [1/2]

Interval< int > & Well::MarkerRange::idxRange | ( |  | ) |
| inline

## ◆ idxRange() [2/2]

const Interval< int > & Well::MarkerRange::idxRange | ( |  | ) | const
| inline

## ◆ init()

void Well::MarkerRange::init | ( | const Interval< int > & |  | ) |
| protected

## ◆ isIncluded() [1/3]

bool Well::MarkerRange::isIncluded | ( | const char * |  | ) | const

## ◆ isIncluded() [2/3]

bool Well::MarkerRange::isIncluded | ( | float | z | ) | const

## ◆ isIncluded() [3/3]

bool Well::MarkerRange::isIncluded | ( | int | i | ) | const
| inline

## ◆ isValid()

bool Well::MarkerRange::isValid | ( |  | ) | const

## ◆ markers()

const MarkerSet & Well::MarkerRange::markers | ( |  | ) | const
| inline

## ◆ size()

int Well::MarkerRange::size | ( |  | ) | const
| inline

## ◆ thickness()

float Well::MarkerRange::thickness | ( |  | ) | const

## Member Data Documentation

## ◆ isconst_

bool Well::MarkerRange::isconst_
| protected

## ◆ markers_

const MarkerSet& Well::MarkerRange::markers_
| protected

## ◆ rg_

Interval<int> Well::MarkerRange::rg_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025